Change Place Date

View as Markdown

Changes the placement date for an individual order.

Storefront API Scope may authenticate with Trust Level Authentication (trust_level: recognized).

Authentication

x-api-keystring

Application API Scope — server-to-server, sent in the x-api-key header. See Authentication.

OR
authorizationstring

Storefront API Scope — client-side, scoped to one customer, sent as a signature in the authorization header. See Authentication.

Path parameters

order_idstringRequired
Unique order ID

Request

This endpoint expects an object.
placestringRequired

Date order was/will be placed. Use YYYY-MM-DD HH:MM:SS as the format.

Response

200
merchantstringOptional
customerstringOptional
paymentstringOptional
shipping_addressstringOptional
public_idstringOptional
sub_totalstringOptional
tax_totalstringOptional
shipping_totalstringOptional
discount_totalstringOptional
totalstringOptional
createdstringOptional
placestringOptional
cancelledstringOptional
triesintegerOptionalDefaults to 0
generic_error_countintegerOptionalDefaults to 0
statusintegerOptionalDefaults to 0
typeintegerOptionalDefaults to 0
order_merchant_idstringOptional
rejected_messagestringOptional
extra_datastringOptional
lockedbooleanOptionalDefaults to true
oos_free_shippingbooleanOptionalDefaults to true

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error